Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 436906 - Fix pulseaudio launching for remote sound
Summary: Fix pulseaudio launching for remote sound
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ltsp
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-03-11 02:19 UTC by Warren Togami
Modified: 2009-07-14 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:41:14 UTC


Attachments (Terms of Use)
(insecure) remote sound fix (deleted)
2008-04-13 19:30 UTC, Eric Harrison
no flags Details | Diff
additional requires for pulseaudio (deleted)
2008-04-13 19:42 UTC, Eric Harrison
no flags Details | Diff

Description Warren Togami 2008-03-11 02:19:44 UTC
The pulseaudio daemon needs to be launched on thin clients in order to handle
sound output by applications on the LTSP server.

Package ltsp-client-5.1.0-0.3.20080310.fc9
usr/share/ltsp/ltsp-init-common:
                /usr/bin/pulseaudio --system \
                --disable-shm \
                --no-cpu-limit \
                --resample-method=trivial \
                --high-priority \
                -L module-detect \
                -L "module-esound-protocol-tcp auth-anonymous=1" \
                -L "module-native-protocol-tcp auth-anonymous=1" \
                -L module-volume-restore \
                -L module-rescue-streams \
                -L module-native-protocol-unix \
                -n &

It might be as simple as finding the right parameters to call pulseaudio.

Comment 1 Lennart Poettering 2008-03-28 19:20:00 UTC
No need to pass --no-cpu-limit. It is a safety measure that should not be disabled.

Why no module-hal-detect instead of module-detect?

Why disabling auth? Please use "pax11publish" to store the auth cookie in the X
server. And use module-native-protocol's cookie argument to make it use a cookie
in a very specific place. Make sure to remove the cookie file before running PA,
to make sure people from a previous session may no longer connect.

module-volume-restore would store settings globally for all users. Probably not
what people want. Consider removing it's data files before running PA. That way
you get volume restoring during the session, but not across sessions.

No need to load the unix version of the native protocol unless you have local
clients.

Why use & instead of -D?

--disallow-module-loading is a good idea.


Comment 2 Eric Harrison 2008-04-13 19:30:14 UTC
Created attachment 302281 [details]
(insecure) remote sound fix

Comment 3 Eric Harrison 2008-04-13 19:42:47 UTC
Created attachment 302282 [details]
additional requires for pulseaudio

Comment 4 Bug Zapper 2008-05-14 05:55:27 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Warren Togami 2008-05-29 19:12:54 UTC
It is working by default in Fedora 9, however Lennart's suggestions in Comment
#1 still need exploration to further lock-down the network access.

Comment 6 Bug Zapper 2009-06-09 23:43:27 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 16:41:14 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.